Upload Authorization Signature Information
Endpoint usage
POST https://open.tronify.io/api/tronRent/uploadApproveData
The fields with * are required, and the fields without * are optional
Request Body
Name
Type
Description
orderId*
String
The orderId returned by the order placement API
signedData*
String
The signed transaction object (not broadcast by the frontend)
{
"resCode": 100,
"resMsg": "Success",
"data": {}
}{
// Response
}code example
// example
const params = {
"orderId": "n0tfxxxxxxxxxxxxxxxxxxxxxxx",
"signedData": {
"raw_data": {
"ref_block_bytes": "0c6d",
"ref_block_hash": "6ffexxxxxxxxxxxxx",
"expiration": 1792565193000,
"contract": [
{
"parameter": {
"value": {
"owner_address": "4163d48bxxxxxxxxxxxxxxxxxxxxx",
"owner": {
"permission_name": "owner",
"threshold": 1,
"keys": [
{
"address": "41b29xxxxxxxxxxxxxxxxxxxxxxx57963d3",
"weight": 1
}
]
},
"actives": [
{
"type": "Active",
"id": 2,
"permission_name": "tronify-active",
"threshold": 1,
"operations": "7xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx0000000",
"keys": [
{
"address": "41b2922xxxxxxxxxxxxxxxxxxxx3d3",
"weight": 1
}
]
}
]
},
"type_url": "type.googleapis.com/protocol.AccountPermissionUpdateContract"
},
"type": "AccountPermissionUpdateContract"
}
],
"timestamp": 1792564536541
},
"raw_data_hex": "0a0xxxxxxxxxxxxxxxxxxxxxxxxxx",
"txID": "ce9cexxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"visible": false,
"signature": [
"fdcdf36xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
]
},
"sourceFlag": "tronify",
"invitationCode": "",
"utmSource": "",
"connectWalletType": "TronLink"
}
const res = await axios.post('https://open.tronify.io/api/tronRent/uploadApproveData',params)
console.log(res)
if(res.resCode === '100'){
//...
}Postman example

Last updated